function cell=create_cell(P,r,S,work)

global numTxPU numTxSU numSensors hb hm sigmaS Xmin0 XminNC0 

%Calculate cell radio 

RxPU='RxPU';
TxPU='TxPU';
RxSU='RxSU';
TxSU='TxSU';
Sensors='Sensors';
c='c';
d='d';
e='e';
int='int';
ecross='ecross';
intcross='intcross';
c0='c0';
d0='d0';
e0='e0';
int0='int0';
e0cross='e0cross';
int0cross='int0cross';
Q='Q';
rxpacks='rxpacks';
droppacks='droppacks';
X='X';
ropt='ropt';
whoTx='whoTx';
whoTxOtherCell='whoTxOtherCell';
ack='ack';

cell=struct(RxSU,P(:,1),TxPU,cell_point(r,numTxPU,P),RxPU,P(:,2),...
    TxSU,cell_point(r/4,numTxSU,P),Sensors,S,c,zeros(1,numTxSU),...
    d,zeros(numTxSU,numSensors),e,zeros(1,numTxPU),int,zeros(1,numTxPU),...
    ecross,zeros(1,numTxPU+numTxSU),intcross,zeros(1,numTxPU+numTxSU),c0,...
    zeros(1,numTxSU),d0,zeros(numTxSU,numSensors),e0,zeros(1,numTxPU),int0,...
    zeros(1,numTxPU),e0cross,zeros(1,numTxPU+numTxSU),int0cross,...
    zeros(1,numTxPU+numTxSU),Q,zeros(1,numTxSU),rxpacks,zeros(1,numTxSU),...
    droppacks,zeros(1,numTxSU),X,[Xmin0*ones(1,numSensors) XminNC0],...
    ropt,0,whoTx,0,whoTxOtherCell,0,ack,0);

%----------- Calculate distances ----------------------     
                
    %Channel state between TxSU-RxSU, c0.
distc=CalculateDistance(cell.TxSU,cell.RxSU);
cell.c0=10.^(CalculateFixedLosses(distc',hb,hm,sigmaS)/10);  
    %Channel state between TxPU-RxSU, int0.
distint=CalculateDistance(cell.TxPU,cell.RxSU);
cell.int0=10.^(CalculateFixedLosses(distint',hb,hm,sigmaS)/10);
    %Channel state between TxPU-RxS, e0.
diste=CalculateDistance(cell.TxPU,cell.Sensors);
cell.e0=10.^(CalculateFixedLosses(diste',hb,hm,sigmaS)/10);
    %Channel state between TxSU-RxS, d0.
distd=CalculateDistance(cell.TxSU,cell.Sensors);
cell.d0=10.^(CalculateFixedLosses(distd',hb,hm,sigmaS)/10);      

        