function RAF=Rayleigh(tam)

% RAYLEIGH DISTRIBUTION/SMALL SCALE FADING
% Rayleigh function give us random variables that follow a Railegh
% distribution
% We assume that sigma value in this random distribution is equal to 1.
% RAF=raylrnd(b,m) returns an array of random numbers chosen from the
% Rayleigh distribution with parameter B. The size of RAF is a
% numbase-by-numbase array

    RAF=(raylrnd(1,tam(1),tam(2)));
    
    
